#include "gnuobjccompiler.h"
#include "objcsourcefile.h"

using namespace Msp;

GnuObjCCompiler::GnuObjCCompiler(Builder &b, const Architecture &a, const FS::Path &sysroot):
	GnuCompiler(b, a, "OBJC", sysroot)
{
	set_command("gcc", true);
	input_suffixes.push_back(".m");
	build_info.libs.push_back("objc");
}

Target *GnuObjCCompiler::create_source(const Component &comp, const FS::Path &path) const
{
	return new ObjCSourceFile(builder, comp, path);
}

Target *GnuObjCCompiler::create_source(const FS::Path &path) const
{
	return new ObjCSourceFile(builder, path);
}
